Bug 1017731 - Clicking "New product" button keeps the page loading in progress
Clicking "New product" button keeps the page loading in progress
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 08:02 EDT by Kedar Bidarkar
Modified: 2014-04-24 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upon click newproduct, page loading state is inprogress (24.48 KB, image/png)
2013-10-10 08:02 EDT, Kedar Bidarkar
no flags Details

  None (edit)
Description Kedar Bidarkar 2013-10-10 08:02:55 EDT
Created attachment 810487 [details]
upon click newproduct, page loading state is inprogress

Description of problem:
 Clicking "New product" button keeps the page loading in progress.


Version-Release number of selected component (if applicable):

	Satellite-6.0.2-RHEL-6-20131009.0

How reproducible:

Try creating a new product via the UI.

Steps to Reproduce:
1.
2.
3.

Actual results:
The page keeps loading forever and unable to create a New Product.

Expected results:
Creation of New Product must be possible.


Additional info:
Comment 2 Eric Helms 2013-10-10 08:26:27 EDT
A couple of questions:

1) Did you click on the New Product button multiple times before it got stuck?
2) Where there errors in the backend?
Comment 3 Kedar Bidarkar 2013-10-10 09:32:17 EDT
1) Nope,

2) Yup there are errors in backend, it throws erros related to Nomethod just even for navigating to products page. 

Ok me attaching katello-debug shortly.
Comment 5 Kedar Bidarkar 2013-10-10 09:37:31 EDT
Didn't upload the katello-debug earlier as it was very easily reproducible.
Comment 6 Eric Helms 2013-10-11 14:02:20 EDT
I believe this issue was related to the same RABL template error that this bug https://bugzilla.redhat.com/show_bug.cgi?id=1017399 addressed. Moving to POST for verification.
Comment 7 Kedar Bidarkar 2013-10-16 07:12:31 EDT
We are now able to create Products and no longer face this issue.
Comment 8 Bryan Kearney 2014-04-24 13:09:50 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 9 Bryan Kearney 2014-04-24 13:11:13 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.